Announcement

Collapse
No announcement yet.

Automated Installation of Dump1090-Mutability, Data Feeders, and Performance Graphs

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • #31
    @Jschmaltz
    Are you just feeding adsbexchange or also participating in their MLAT?

    There are two files which control these two functions.
    Code:
    ~$ dir adsb-receiver/build/adsbexchange
    adsbexchange-mlat_maint.sh
    adsbexchange-netcat_maint.sh
    For normal feed( by netcat), you dont have to do anything.

    Code:
    ~$ sudo nano adsb-receiver/build/adsbexchange/adsbexchange-netcat_maint.sh
    # you will see this:
    
    #! /bin/sh
    while true
      do
        sleep 30
        /bin/nc 127.0.0.1 30005 | /bin/nc feed.adsbexchange.com 30005
      done

    For mlat, during installation process by automated script, your latitude, longitude and antenna elevation above sea level are entered. Sometiems these values are not saved in the file. You can then edit the file and enter missing values.
    Code:
    ~$ sudo nano adsb-receiver/build/adsbexchange/adsbexchange-mlat_maint.sh
    
    #you will see this:
    
    #! /bin/sh
    while true
      do
        sleep 30
        /usr/bin/mlat-client --input-type dump1090 --input-connect 127.0.0.1:30005 --lat xx.xxxx  --lon yy.yyyy  --alt zzz --user aaaaaa --server feed.adsbexchange.com:31090 --no-udp --results beast,connect,127.0.0.1:30104
      done
    
    #if user (aaaaa), or latitude (xx.xxxx), or longitude (yy.yyy), or alttitude in meters (zzz) is missing, enter it manually

    Comment


    • #32
      Hello,
      hmmm......i do not find the adsbexchange Directory there

      adsbreceiver.JPG

      any idea what is wrong ?

      tnx info
      herb

      Originally posted by abcd567 View Post
      @Jschmaltz
      Are you just feeding adsbexchange or also participating in their MLAT?

      There are two files which control these two functions.
      Code:
      ~$ dir adsb-receiver/build/adsbexchange
      adsbexchange-mlat_maint.sh
      adsbexchange-netcat_maint.sh
      For normal feed( by netcat), you dont have to do anything.

      Code:
      ~$ sudo nano adsb-receiver/build/adsbexchange/adsbexchange-netcat_maint.sh
      # you will see this:
      
      #! /bin/sh
      while true
        do
          sleep 30
          /bin/nc 127.0.0.1 30005 | /bin/nc feed.adsbexchange.com 30005
        done

      For mlat, during installation process by automated script, your latitude, longitude and antenna elevation above sea level are entered. Sometiems these values are not saved in the file. You can then edit the file and enter missing values.
      Code:
      ~$ sudo nano adsb-receiver/build/adsbexchange/adsbexchange-mlat_maint.sh
      
      #you will see this:
      
      #! /bin/sh
      while true
        do
          sleep 30
          /usr/bin/mlat-client --input-type dump1090 --input-connect 127.0.0.1:30005 --lat xx.xxxx  --lon yy.yyyy  --alt zzz --user aaaaaa --server feed.adsbexchange.com:31090 --no-udp --results beast,connect,127.0.0.1:30104
        done
      
      #if user (aaaaa), or latitude (xx.xxxx), or longitude (yy.yyy), or alttitude in meters (zzz) is missing, enter it manually
      Actuall some problem's using fr24feeder

      Comment


      • #33
        Hi I am new to this forum and stuggeling at pfclient package's installation. I was executing abcd567's brilliant script until coming up with the following message:



        Installing the Plane Finder ADS-B Client package...

        Entering the Plane Finder ADS-B Client build directory...
        Installing the Plane Finder ADS-B Client v3.5.461 for ARM devices package...

        dpkg-deb: Fehler: »/home/pi/adsb-receiver/build/planefinder/pfclient_3.5.461_armhf.deb« ist kein Archiv im Debian-Format
        dpkg: Fehler beim Bearbeiten des Archivs /home/pi/adsb-receiver/build/planefinder/pfclient_3.5.461_armhf.deb (--install):
        Unterprozess dpkg-deb --control gab den Fehlerwert 2 zurück
        Fehler traten auf beim Bearbeiten von:
        /home/pi/adsb-receiver/build/planefinder/pfclient_3.5.461_armhf.deb

        Checking that the pfclient package was installed properly...

        INSTALLATION HALTED!
        UNABLE TO INSTALL A REQUIRED PACKAGE.
        SETUP HAS BEEN TERMINATED!

        The package "pfclient" could not be installed.

        ----------------------------------------------------------------------------------------------------
        Plane Finder ADS-B Client setup halted.

        Press enter to continue...



        I am using Raspberry Pi 3 Model B Rev 1.2 with the OS Raspbian GNU/Linux 8.0.
        Many thanks for helping me out!

        Comment


        • #34
          @eurolocke:
          The script is trying to download and install Plane Finder Client version 3.5.461.

          This version is now outdated and no more available for download, hence the script failed to download and install it.

          The current version is 3.5.469. Please install it manually by commands given below:

          Code:
          #download pfclient installation file
          wget http://client.planefinder.net/pfclient_3.5.469_armhf.deb
          
          #after download is successfully completed, install the downloaded file
          sudo dpkg -i pfclient_3.5.469_armhf.deb

          Comment


          • #35
            I ask again.

            Please REFRAIN from using @ symbols to get someones attention. This is vbulletin. Not twitter. It helps in no way to direct their attention to posts (everyone gets a notification email regardless)
            All it does is prevent new users who quote or attempt to replicate the format have moderated posts that go un-noticed.

            moderated.jpg
            Posts not to be taken as official support representation - Just a helpful uploader who tinkers

            Comment


            • #36
              Oblivian:
              Thanks for reminding about @, and posting screenshot of eurolocke's post which got blocked due to use of @.

              eurolocke:
              Try following command to overcome the broken installation of package python-dev

              Code:
              sudo apt-get -f install python-dev

              Comment


              • #37
                abcd567:

                The installation process still gets stuck. Running your command led to the following message:


                Paketlisten werden gelesen... Fertig
                Abhängigkeitsbaum wird aufgebaut.
                Statusinformationen werden eingelesen.... Fertig
                Probieren Sie »apt-get -f install«, um dies zu korrigieren:
                Die folgenden Pakete haben unerfüllte Abhängigkeiten:
                python-dev : Hängt ab von: libpython-dev (= 2.7.9-1) soll aber nicht installiert werden
                Hängt ab von: python2.7-dev (>= 2.7.9-1~) soll aber nicht installiert werden
                rtl-sdr : Hängt ab von: librtlsdr0 (= 0.5.3-3) aber 0.5.4~git-1 soll installiert werden
                E: Unerfüllte Abhängigkeiten. Versuchen Sie »apt-get -f install« ohne Angabe eines Pakets (oder geben Sie eine Lösung an).


                Let me know if I better set my Raspberry to English.

                Comment


                • #38
                  eurolocke:

                  Try "apt-get -f install" WITHOUT specifying package name, exactly as below:
                  Code:
                  sudo apt-get -f install

                  Comment


                  • #39
                    Hey ABCD,

                    I'm suffering a bit of memory loss (or: basically, dopey here didn't write stuff down....)

                    I know I manually added all the stuff to get the RPi Signal Level graph going ages ago on my main system ..... I now want to add it on my portable system (which already has the other 6 graphs) but can't remember what I had to change.... any ideas what and where??

                    Thanks

                    Andrew

                    This one:

                    dump1090-rpi-signal-24h.png
                    Last edited by rodeo; 2017-03-15, 12:15.
                    T-YSBK22

                    Comment


                    • #40
                      rodeo:

                      You seem to have very old version of Web Portal / rrdtools-collectd graphs.
                      With current version of automated install script, following FIFTEEN (15) Graphs are installed:

                      DUMP1090 GRAPHS

                      dump1090-localhost-local_trailing_rate-24h.png


                      dump1090-localhost-aircraft-24h.png . dump1090-localhost-tracks-24h.png


                      dump1090-localhost-range_imperial_nautical-24h.png . dump1090-localhost-signal-24h.png


                      PLEASE SEE NEXT 2 POSTS FOR BALANCE 10 GRAPHS
                      Last edited by abcd567; 2017-03-15, 18:42.

                      Comment


                      • #41
                        DUMP1090 GRAPHS (Continued from previous post)

                        dump1090-localhost-local_rate-24h.png . dump1090-localhost-aircraft_message_rate-24h.png


                        dump1090-localhost-cpu-24h.png



                        SYSTEM GRAPHS

                        system-localhost-cpu-24h.png

                        system-localhost-temperature_imperial-24h.png .
                        Last edited by abcd567; 2017-03-15, 18:39.

                        Comment


                        • #42
                          SYSTEM GRAPHS (Continued from previous post)


                          system-localhost-memory-24h.png

                          system-localhost-eth0_bandwidth-24h.png . system-localhost-df_root-24h.png

                          system-localhost-disk_io_iops-24h.png . system-localhost-disk_io_octets-24h.png
                          Last edited by abcd567; 2017-03-15, 18:40.

                          Comment


                          • #43
                            This works really well so long as you follow the instructions exactly. I am now successfully feeding FR24 and FA from an RPi3 running Jessie. Thanks to Joe Prochazka and abcd567. Brilliant. I also installed coolacid/dump1090-tools https://github.com/coolacid/dump1090-tools which also works well giving me several pages of graphs on the Pi.

                            I would really like to be able to change the initial sort configuration. I'd like to have dump1090-mutability come up showing the most distant aircraft sorted to the top of the aircraft table. Yes, I know that I can click the table header and sort on any field I choose but I'd like the initial default to display most distant at the top.

                            I have fiddled with script.js and not had success. Can anybody tell me exactly what I need to do to achieve this please.
                            Last edited by rederikus; 2017-03-18, 15:30.
                            T-KCLT3 - Raspberry Pi3 Jessie, 8 element collinear indoor antenna

                            Comment


                            • #44
                              I installed this but I get 403 - Forbidden when I try to access the yourIP/install/ page. Any ideas what might have screwed up? The dump1090-mut and feeders all work ok.

                              ------------------------------------
                              The ADS-B Receiver Project v2.5.0 Installer

                              Setting up the ADS-B Receiver Project Portal...
                              -------------------------------------------------------------------------------- --------------------

                              Installing packages needed to fulfill dependencies...

                              Checking if the package lighttpd is installed... [OK]
                              Checking if the package collectd-core is installed... [OK]
                              Checking if the package rrdtool is installed... [OK]
                              Checking if the package libpython2.7 is installed... [OK]
                              Checking if the package php5-cgi is installed... [OK]
                              Checking if the package php5-json is installed... [OK]
                              Reloading Lighttpd...

                              [ ok ] Reloading lighttpd configuration (via systemctl): lighttpd.service.

                              Setting up the web portal...

                              Backing up the file /var/www/html/data/administrators.xml...
                              Backing up the file /var/www/html/data/blogPosts.xml...
                              Backing up the file /var/www/html/data/flightNotifications.xml...
                              Backing up the file /var/www/html/data/settings.xml...
                              Placing portal files in Lighttpd's root directory...
                              Restoring the backup copy of the file /var/www/html/data/administrators.xml...
                              Restoring the backup copy of the file /var/www/html/data/blogPosts.xml...
                              Restoring the backup copy of the file /var/www/html/data/flightNotifications.x ml...
                              Restoring the backup copy of the file /var/www/html/data/settings.xml...
                              Making the directory /var/www/html/graphs/ writable...
                              Making the directory /var/www/html/classes/ writable...
                              Making the directory /var/www/html/data/ writable...
                              Making the files contained within the directory /var/www/html/data/ writable.. .
                              Checking if dump978 was set up...
                              Checking for the file upintheair.json in the dump1090 HTML folder...
                              Copying the file upintheair.json from the dump1090 HTML folder to the dump978 HTML folder...
                              Removing conflicting redirects from the Lighttpd dump1090.conf file...
                              Adding the Lighttpd portal configuration file...
                              Reloading Lighttpd...

                              [ ok ] Reloading lighttpd configuration (via systemctl): lighttpd.service.

                              Setting up collectd performance graphs...

                              Modifying the dump1090-mutability init script to add noise measurements...
                              Reloading the systemd manager configuration...
                              Reloading dump1090-mutability...

                              [....] Reloading dump1090-mutability configuration (via systemctl): dump1090-mut [ ok ty.service.

                              Backing up the current collectd.conf file...
                              Replacing the current collectd.conf file...
                              Reloading collectd so the new configuration is used...

                              [ ok ] Reloading collectd configuration (via systemctl): collectd.service.

                              Making the make-collectd-graphs.sh script executable...
                              Removing previously installed performance graphs cron file...
                              Adding performance graphs cron file...

                              Setting up core advanced portal features...

                              Entering the ADS-B Receiver Project root directory...

                              Comment


                              • #45
                                keyboard:
                                Try
                                Code:
                                sudo lighty-enable-mod dump1090
                                sudo /etc/init.d/lighttpd force-reload
                                Then clear browser cache and try YourIP/admin, YouIP/graphs.php and YouIP/dump1090/gmap.html

                                also try sudo reboot

                                Comment

                                Working...
                                X